Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getWirelessSsidsSplashSettings({
networkId: "string",
number: "string",
});
export const merakiNetworksWirelessSsidsSplashSettingsExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_wireless_ssids_splash_settings(network_id="string",
number="string")
pulumi.export("merakiNetworksWirelessSsidsSplashSettingsExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.LookupWirelessSsidsSplashSettings(ctx, &networks.LookupWirelessSsidsSplashSettingsArgs{
NetworkId: "string",
Number: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksWirelessSsidsSplashSettingsExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetWirelessSsidsSplashSettings.Invoke(new()
{
NetworkId = "string",
Number = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksWirelessSsidsSplashSettingsExample"] = example.Apply(getWirelessSsidsSplashSettingsResult => getWirelessSsidsSplashSettingsResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetWirelessSsidsSplashSettingsArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getWirelessSsidsSplashSettings(GetWirelessSsidsSplashSettingsArgs.builder()
.networkId("string")
.number("string")
.build());
ctx.export("merakiNetworksWirelessSsidsSplashSettingsExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getWirelessSsidsSplashSettings
arguments:
networkId: string
number: string
outputs:
merakiNetworksWirelessSsidsSplashSettingsExample: ${example.item}
Using getWirelessSsidsSplashSettings
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getWirelessSsidsSplashSettings(args: GetWirelessSsidsSplashSettingsArgs, opts?: InvokeOptions): Promise<GetWirelessSsidsSplashSettingsResult>
function getWirelessSsidsSplashSettingsOutput(args: GetWirelessSsidsSplashSettingsOutputArgs, opts?: InvokeOptions): Output<GetWirelessSsidsSplashSettingsResult>def get_wireless_ssids_splash_settings(network_id: Optional[str] = None,
number: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetWirelessSsidsSplashSettingsResult
def get_wireless_ssids_splash_settings_output(network_id: Optional[pulumi.Input[str]] = None,
number: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetWirelessSsidsSplashSettingsResult]func LookupWirelessSsidsSplashSettings(ctx *Context, args *LookupWirelessSsidsSplashSettingsArgs, opts ...InvokeOption) (*LookupWirelessSsidsSplashSettingsResult, error)
func LookupWirelessSsidsSplashSettingsOutput(ctx *Context, args *LookupWirelessSsidsSplashSettingsOutputArgs, opts ...InvokeOption) LookupWirelessSsidsSplashSettingsResultOutput> Note: This function is named LookupWirelessSsidsSplashSettings in the Go SDK.
public static class GetWirelessSsidsSplashSettings
{
public static Task<GetWirelessSsidsSplashSettingsResult> InvokeAsync(GetWirelessSsidsSplashSettingsArgs args, InvokeOptions? opts = null)
public static Output<GetWirelessSsidsSplashSettingsResult> Invoke(GetWirelessSsidsSplashSettingsInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetWirelessSsidsSplashSettingsResult> getWirelessSsidsSplashSettings(GetWirelessSsidsSplashSettingsArgs args, InvokeOptions options)
public static Output<GetWirelessSsidsSplashSettingsResult> getWirelessSsidsSplashSettings(GetWirelessSsidsSplashSettingsArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getWirelessSsidsSplashSettings:getWirelessSsidsSplashSettings
arguments:
# arguments dictionaryThe following arguments are supported:
- network_
id str - networkId path parameter. Network ID
- number str
- number path parameter.
getWirelessSsidsSplashSettings Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Wireless Ssids Splash Settings Item - Network
Id string - networkId path parameter. Network ID
- Number string
- number path parameter.
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Wireless Ssids Splash Settings Item - Network
Id string - networkId path parameter. Network ID
- Number string
- number path parameter.
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Wireless Ssids Splash Settings Item - network
Id String - networkId path parameter. Network ID
- number String
- number path parameter.
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Wireless Ssids Splash Settings Item - network
Id string - networkId path parameter. Network ID
- number string
- number path parameter.
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Wireless Ssids Splash Settings Item - network_
id str - networkId path parameter. Network ID
- number str
- number path parameter.
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- network
Id String - networkId path parameter. Network ID
- number String
- number path parameter.
Supporting Types
GetWirelessSsidsSplashSettingsItem
- Allow
Simultaneous boolLogins - Whether or not to allow simultaneous logins from different devices.
- Billing
Get
Wireless Ssids Splash Settings Item Billing - Details associated with billing splash
- Block
All boolTraffic Before Sign On - How restricted allowing traffic should be. If true, all traffic types are blocked until the splash page is acknowledged. If false, all non-HTTP traffic is allowed before the splash page is acknowledged.
- Controller
Disconnection stringBehavior - How login attempts should be handled when the controller is unreachable.
- Guest
Sponsorship GetWireless Ssids Splash Settings Item Guest Sponsorship - Details associated with guest sponsored splash
- Redirect
Url string - The custom redirect URL where the users will go after the splash page.
- Self
Registration GetWireless Ssids Splash Settings Item Self Registration - Self-registration for splash with Meraki authentication.
- Sentry
Enrollment GetWireless Ssids Splash Settings Item Sentry Enrollment - Systems Manager sentry enrollment splash settings.
- Splash
Image GetWireless Ssids Splash Settings Item Splash Image - The image used in the splash page.
- Splash
Logo GetWireless Ssids Splash Settings Item Splash Logo - The logo used in the splash page.
- Splash
Page string - The type of splash page for this SSID
- Splash
Prepaid GetFront Wireless Ssids Splash Settings Item Splash Prepaid Front - The prepaid front image used in the splash page.
- Splash
Timeout int - Splash timeout in minutes.
- Splash
Url string - The custom splash URL of the click-through splash page.
- Ssid
Number int - SSID number
- Theme
Id string - The id of the selected splash theme.
- Use
Redirect boolUrl - The Boolean indicating whether the the user will be redirected to the custom redirect URL after the splash page.
- Use
Splash boolUrl - Boolean indicating whether the users will be redirected to the custom splash url
- Welcome
Message string - The welcome message for the users on the splash page.
- Allow
Simultaneous boolLogins - Whether or not to allow simultaneous logins from different devices.
- Billing
Get
Wireless Ssids Splash Settings Item Billing - Details associated with billing splash
- Block
All boolTraffic Before Sign On - How restricted allowing traffic should be. If true, all traffic types are blocked until the splash page is acknowledged. If false, all non-HTTP traffic is allowed before the splash page is acknowledged.
- Controller
Disconnection stringBehavior - How login attempts should be handled when the controller is unreachable.
- Guest
Sponsorship GetWireless Ssids Splash Settings Item Guest Sponsorship - Details associated with guest sponsored splash
- Redirect
Url string - The custom redirect URL where the users will go after the splash page.
- Self
Registration GetWireless Ssids Splash Settings Item Self Registration - Self-registration for splash with Meraki authentication.
- Sentry
Enrollment GetWireless Ssids Splash Settings Item Sentry Enrollment - Systems Manager sentry enrollment splash settings.
- Splash
Image GetWireless Ssids Splash Settings Item Splash Image - The image used in the splash page.
- Splash
Logo GetWireless Ssids Splash Settings Item Splash Logo - The logo used in the splash page.
- Splash
Page string - The type of splash page for this SSID
- Splash
Prepaid GetFront Wireless Ssids Splash Settings Item Splash Prepaid Front - The prepaid front image used in the splash page.
- Splash
Timeout int - Splash timeout in minutes.
- Splash
Url string - The custom splash URL of the click-through splash page.
- Ssid
Number int - SSID number
- Theme
Id string - The id of the selected splash theme.
- Use
Redirect boolUrl - The Boolean indicating whether the the user will be redirected to the custom redirect URL after the splash page.
- Use
Splash boolUrl - Boolean indicating whether the users will be redirected to the custom splash url
- Welcome
Message string - The welcome message for the users on the splash page.
- allow
Simultaneous BooleanLogins - Whether or not to allow simultaneous logins from different devices.
- billing
Get
Wireless Ssids Splash Settings Item Billing - Details associated with billing splash
- block
All BooleanTraffic Before Sign On - How restricted allowing traffic should be. If true, all traffic types are blocked until the splash page is acknowledged. If false, all non-HTTP traffic is allowed before the splash page is acknowledged.
- controller
Disconnection StringBehavior - How login attempts should be handled when the controller is unreachable.
- guest
Sponsorship GetWireless Ssids Splash Settings Item Guest Sponsorship - Details associated with guest sponsored splash
- redirect
Url String - The custom redirect URL where the users will go after the splash page.
- self
Registration GetWireless Ssids Splash Settings Item Self Registration - Self-registration for splash with Meraki authentication.
- sentry
Enrollment GetWireless Ssids Splash Settings Item Sentry Enrollment - Systems Manager sentry enrollment splash settings.
- splash
Image GetWireless Ssids Splash Settings Item Splash Image - The image used in the splash page.
- splash
Logo GetWireless Ssids Splash Settings Item Splash Logo - The logo used in the splash page.
- splash
Page String - The type of splash page for this SSID
- splash
Prepaid GetFront Wireless Ssids Splash Settings Item Splash Prepaid Front - The prepaid front image used in the splash page.
- splash
Timeout Integer - Splash timeout in minutes.
- splash
Url String - The custom splash URL of the click-through splash page.
- ssid
Number Integer - SSID number
- theme
Id String - The id of the selected splash theme.
- use
Redirect BooleanUrl - The Boolean indicating whether the the user will be redirected to the custom redirect URL after the splash page.
- use
Splash BooleanUrl - Boolean indicating whether the users will be redirected to the custom splash url
- welcome
Message String - The welcome message for the users on the splash page.
- allow
Simultaneous booleanLogins - Whether or not to allow simultaneous logins from different devices.
- billing
Get
Wireless Ssids Splash Settings Item Billing - Details associated with billing splash
- block
All booleanTraffic Before Sign On - How restricted allowing traffic should be. If true, all traffic types are blocked until the splash page is acknowledged. If false, all non-HTTP traffic is allowed before the splash page is acknowledged.
- controller
Disconnection stringBehavior - How login attempts should be handled when the controller is unreachable.
- guest
Sponsorship GetWireless Ssids Splash Settings Item Guest Sponsorship - Details associated with guest sponsored splash
- redirect
Url string - The custom redirect URL where the users will go after the splash page.
- self
Registration GetWireless Ssids Splash Settings Item Self Registration - Self-registration for splash with Meraki authentication.
- sentry
Enrollment GetWireless Ssids Splash Settings Item Sentry Enrollment - Systems Manager sentry enrollment splash settings.
- splash
Image GetWireless Ssids Splash Settings Item Splash Image - The image used in the splash page.
- splash
Logo GetWireless Ssids Splash Settings Item Splash Logo - The logo used in the splash page.
- splash
Page string - The type of splash page for this SSID
- splash
Prepaid GetFront Wireless Ssids Splash Settings Item Splash Prepaid Front - The prepaid front image used in the splash page.
- splash
Timeout number - Splash timeout in minutes.
- splash
Url string - The custom splash URL of the click-through splash page.
- ssid
Number number - SSID number
- theme
Id string - The id of the selected splash theme.
- use
Redirect booleanUrl - The Boolean indicating whether the the user will be redirected to the custom redirect URL after the splash page.
- use
Splash booleanUrl - Boolean indicating whether the users will be redirected to the custom splash url
- welcome
Message string - The welcome message for the users on the splash page.
- allow_
simultaneous_ boollogins - Whether or not to allow simultaneous logins from different devices.
- billing
Get
Wireless Ssids Splash Settings Item Billing - Details associated with billing splash
- block_
all_ booltraffic_ before_ sign_ on - How restricted allowing traffic should be. If true, all traffic types are blocked until the splash page is acknowledged. If false, all non-HTTP traffic is allowed before the splash page is acknowledged.
- controller_
disconnection_ strbehavior - How login attempts should be handled when the controller is unreachable.
- guest_
sponsorship GetWireless Ssids Splash Settings Item Guest Sponsorship - Details associated with guest sponsored splash
- redirect_
url str - The custom redirect URL where the users will go after the splash page.
- self_
registration GetWireless Ssids Splash Settings Item Self Registration - Self-registration for splash with Meraki authentication.
- sentry_
enrollment GetWireless Ssids Splash Settings Item Sentry Enrollment - Systems Manager sentry enrollment splash settings.
- splash_
image GetWireless Ssids Splash Settings Item Splash Image - The image used in the splash page.
- splash_
logo GetWireless Ssids Splash Settings Item Splash Logo - The logo used in the splash page.
- splash_
page str - The type of splash page for this SSID
- splash_
prepaid_ Getfront Wireless Ssids Splash Settings Item Splash Prepaid Front - The prepaid front image used in the splash page.
- splash_
timeout int - Splash timeout in minutes.
- splash_
url str - The custom splash URL of the click-through splash page.
- ssid_
number int - SSID number
- theme_
id str - The id of the selected splash theme.
- use_
redirect_ boolurl - The Boolean indicating whether the the user will be redirected to the custom redirect URL after the splash page.
- use_
splash_ boolurl - Boolean indicating whether the users will be redirected to the custom splash url
- welcome_
message str - The welcome message for the users on the splash page.
- allow
Simultaneous BooleanLogins - Whether or not to allow simultaneous logins from different devices.
- billing Property Map
- Details associated with billing splash
- block
All BooleanTraffic Before Sign On - How restricted allowing traffic should be. If true, all traffic types are blocked until the splash page is acknowledged. If false, all non-HTTP traffic is allowed before the splash page is acknowledged.
- controller
Disconnection StringBehavior - How login attempts should be handled when the controller is unreachable.
- guest
Sponsorship Property Map - Details associated with guest sponsored splash
- redirect
Url String - The custom redirect URL where the users will go after the splash page.
- self
Registration Property Map - Self-registration for splash with Meraki authentication.
- sentry
Enrollment Property Map - Systems Manager sentry enrollment splash settings.
- splash
Image Property Map - The image used in the splash page.
- splash
Logo Property Map - The logo used in the splash page.
- splash
Page String - The type of splash page for this SSID
- splash
Prepaid Property MapFront - The prepaid front image used in the splash page.
- splash
Timeout Number - Splash timeout in minutes.
- splash
Url String - The custom splash URL of the click-through splash page.
- ssid
Number Number - SSID number
- theme
Id String - The id of the selected splash theme.
- use
Redirect BooleanUrl - The Boolean indicating whether the the user will be redirected to the custom redirect URL after the splash page.
- use
Splash BooleanUrl - Boolean indicating whether the users will be redirected to the custom splash url
- welcome
Message String - The welcome message for the users on the splash page.
GetWirelessSsidsSplashSettingsItemBilling
- Free
Access GetWireless Ssids Splash Settings Item Billing Free Access - Details associated with a free access plan with limits
- Prepaid
Access boolFast Login Enabled - Whether or not billing uses the fast login prepaid access option.
- Reply
To stringEmail Address - The email address that reeceives replies from clients
- Free
Access GetWireless Ssids Splash Settings Item Billing Free Access - Details associated with a free access plan with limits
- Prepaid
Access boolFast Login Enabled - Whether or not billing uses the fast login prepaid access option.
- Reply
To stringEmail Address - The email address that reeceives replies from clients
- free
Access GetWireless Ssids Splash Settings Item Billing Free Access - Details associated with a free access plan with limits
- prepaid
Access BooleanFast Login Enabled - Whether or not billing uses the fast login prepaid access option.
- reply
To StringEmail Address - The email address that reeceives replies from clients
- free
Access GetWireless Ssids Splash Settings Item Billing Free Access - Details associated with a free access plan with limits
- prepaid
Access booleanFast Login Enabled - Whether or not billing uses the fast login prepaid access option.
- reply
To stringEmail Address - The email address that reeceives replies from clients
- free_
access GetWireless Ssids Splash Settings Item Billing Free Access - Details associated with a free access plan with limits
- prepaid_
access_ boolfast_ login_ enabled - Whether or not billing uses the fast login prepaid access option.
- reply_
to_ stremail_ address - The email address that reeceives replies from clients
- free
Access Property Map - Details associated with a free access plan with limits
- prepaid
Access BooleanFast Login Enabled - Whether or not billing uses the fast login prepaid access option.
- reply
To StringEmail Address - The email address that reeceives replies from clients
GetWirelessSsidsSplashSettingsItemBillingFreeAccess
- Duration
In intMinutes - How long a device can use a network for free.
- Enabled bool
- Whether or not free access is enabled.
- Duration
In intMinutes - How long a device can use a network for free.
- Enabled bool
- Whether or not free access is enabled.
- duration
In IntegerMinutes - How long a device can use a network for free.
- enabled Boolean
- Whether or not free access is enabled.
- duration
In numberMinutes - How long a device can use a network for free.
- enabled boolean
- Whether or not free access is enabled.
- duration_
in_ intminutes - How long a device can use a network for free.
- enabled bool
- Whether or not free access is enabled.
- duration
In NumberMinutes - How long a device can use a network for free.
- enabled Boolean
- Whether or not free access is enabled.
GetWirelessSsidsSplashSettingsItemGuestSponsorship
- Duration
In intMinutes - Duration in minutes of sponsored guest authorization.
- Guest
Can boolRequest Timeframe - Whether or not guests can specify how much time they are requesting.
- Duration
In intMinutes - Duration in minutes of sponsored guest authorization.
- Guest
Can boolRequest Timeframe - Whether or not guests can specify how much time they are requesting.
- duration
In IntegerMinutes - Duration in minutes of sponsored guest authorization.
- guest
Can BooleanRequest Timeframe - Whether or not guests can specify how much time they are requesting.
- duration
In numberMinutes - Duration in minutes of sponsored guest authorization.
- guest
Can booleanRequest Timeframe - Whether or not guests can specify how much time they are requesting.
- duration_
in_ intminutes - Duration in minutes of sponsored guest authorization.
- guest_
can_ boolrequest_ timeframe - Whether or not guests can specify how much time they are requesting.
- duration
In NumberMinutes - Duration in minutes of sponsored guest authorization.
- guest
Can BooleanRequest Timeframe - Whether or not guests can specify how much time they are requesting.
GetWirelessSsidsSplashSettingsItemSelfRegistration
- string
- How created user accounts should be authorized.
- Enabled bool
- Whether or not to allow users to create their own account on the network.
- string
- How created user accounts should be authorized.
- Enabled bool
- Whether or not to allow users to create their own account on the network.
- String
- How created user accounts should be authorized.
- enabled Boolean
- Whether or not to allow users to create their own account on the network.
- string
- How created user accounts should be authorized.
- enabled boolean
- Whether or not to allow users to create their own account on the network.
- str
- How created user accounts should be authorized.
- enabled bool
- Whether or not to allow users to create their own account on the network.
- String
- How created user accounts should be authorized.
- enabled Boolean
- Whether or not to allow users to create their own account on the network.
GetWirelessSsidsSplashSettingsItemSentryEnrollment
- Enforced
Systems List<string> - The system types that the Sentry enforces.
- Strength string
- The strength of the enforcement of selected system types.
- Systems
Manager GetNetwork Wireless Ssids Splash Settings Item Sentry Enrollment Systems Manager Network - Systems Manager network targeted for sentry enrollment.
- Enforced
Systems []string - The system types that the Sentry enforces.
- Strength string
- The strength of the enforcement of selected system types.
- Systems
Manager GetNetwork Wireless Ssids Splash Settings Item Sentry Enrollment Systems Manager Network - Systems Manager network targeted for sentry enrollment.
- enforced
Systems List<String> - The system types that the Sentry enforces.
- strength String
- The strength of the enforcement of selected system types.
- systems
Manager GetNetwork Wireless Ssids Splash Settings Item Sentry Enrollment Systems Manager Network - Systems Manager network targeted for sentry enrollment.
- enforced
Systems string[] - The system types that the Sentry enforces.
- strength string
- The strength of the enforcement of selected system types.
- systems
Manager GetNetwork Wireless Ssids Splash Settings Item Sentry Enrollment Systems Manager Network - Systems Manager network targeted for sentry enrollment.
- enforced_
systems Sequence[str] - The system types that the Sentry enforces.
- strength str
- The strength of the enforcement of selected system types.
- systems_
manager_ Getnetwork Wireless Ssids Splash Settings Item Sentry Enrollment Systems Manager Network - Systems Manager network targeted for sentry enrollment.
- enforced
Systems List<String> - The system types that the Sentry enforces.
- strength String
- The strength of the enforcement of selected system types.
- systems
Manager Property MapNetwork - Systems Manager network targeted for sentry enrollment.
GetWirelessSsidsSplashSettingsItemSentryEnrollmentSystemsManagerNetwork
- Id string
- The network ID of the Systems Manager network.
- Id string
- The network ID of the Systems Manager network.
- id String
- The network ID of the Systems Manager network.
- id string
- The network ID of the Systems Manager network.
- id str
- The network ID of the Systems Manager network.
- id String
- The network ID of the Systems Manager network.
GetWirelessSsidsSplashSettingsItemSplashImage
GetWirelessSsidsSplashSettingsItemSplashLogo
GetWirelessSsidsSplashSettingsItemSplashPrepaidFront
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
